@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;600;700;800;900&display=swap");

* {
  font-family: Montserrat, cursive;
  list-style-type: none;
  text-decoration: none;
}

/*hearder et base*/

img.header-logo-img {
  width: 105px;
}

section.top-page {
  background: linear-gradient(90deg, orange, yellow);
  padding: 10px;
}

header.header {
  display: flex;
  align-items: center;
  width: 90;
}

.trait {
  border-radius: 50px;
  margin-top: 30px;
}

body {
  margin: 0px;
}

/*menu de navigation*/

nav.nav {
  display: flex;
  justify-content: space-evenly;
  list-style: none;
  margin-left: 50px;
  width: 600px;
}

nav.nav li a {
  color: white;
  font-size: 20px;
}

li.anim::after {
  content: "";
  display: block;
  position: absolute;
  width: 0%;
  height: 3px;
  background-color: white;
  transition: width 0.3s ease-in-out;
  border-radius: 3px;
}

li.anim:hover::after {
  width: 100%;
}
/* moyen de contact*/

section.content {
  display: flex;
  margin-top: 30px;
  justify-content: space-around;
}

div.info {
  flex-direction: column;
  color: gray;
  display: flex;
  align-items: center;
  border-width: 2px;
  border-radius: 10px;
  color: orange;
  background-color: #1c2833;
  padding: 20px 50px;
  box-shadow: 8px 8px 10px 0 rgba(0, 0, 0, 0.5);
}

/*catégorie support*/

img.img-support {
  border-radius: 100px;
  border: 2px solid orange;
}

.button {
  background-color: orange;
  border: none;
  color: white;
  padding: 15px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  border-radius: 2rem;
  margin-top: 20px;
}

img.actu-support {
  border-radius: 100px;
  width: 110px;
  border: 3px solid orange;
}

img.autre-contact {
  border-radius: 100px;
  width: 110px;
  border: 3px solid orange;
}

a.mail {
  color: #ff0000;
}

/*autre*/

.info-bas {
  margin-top: 100px;
  font-size: 30px;
  color: #1c2833;
  margin-bottom: 100px;
}

/*footer*/


footer {
  color: #2e4053;
  font-size: 25px;
  margin: 20px;
  margin-top: 100px;
  background-color: orange;
  border-radius: 20px;
}

section.footer {
  display: flex;
  justify-content: space-around;
  align-items: center;
}

.navigation,
.contact {
  display: flex;
  flex-direction: column;
  margin-left: 30px;
}

div.developppment {
  padding: 0px;
}

a {
  color: #2e4053;
  display: inline;
}
/*responsive dising*/

@media (orientation: portrait) {
  nav.nav li {
    font-size: 40px;
  }

  nav.nav li a {
    font-size: 35px;
  }

  nav.nav {
    width: 750px;
  }

  section.content {
    display: flex;
    flex-direction: column;
    font-size: 50px;
  }

  div.info {
    margin-top: 50px;
  }

  img.img-support {
    width: 200px;
  }

  img.actu-support {
    width: 200px;
  }

  img.autre-contact {
    width: 200px;
  }

  h1.text {
    font-size: 50px;
  }

  .button {
    font-size: 35px;
  }

  h1.info-bas {
    font-size: 40px;
  }

section.footer {
    flex-direction: column;
    font-size: 50px;
    align-items: baseline;
  }

  div.image {
    display: none;
  }

  div.contact,
  div.navigation,
  div.developppment {
    margin-left: 10%;
  }

  p.footer-p{
    margin-top: 50px;
    font-size: 20px;
  }
}
